Skip to main content
POST
/
api
/
v1
/
wallet
Create wallet
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "teeSignature": "<string>",
  "passkeyId": "<string>",
  "authPayload": "<string>"
}
'
{
  "accountId": "<string>",
  "nearTrxs": [
    "<string>"
  ],
  "evmAddress": "<string>",
  "privyAddress": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null
device-id
string | null
device-type
string
default:ios
device-name
string
default:ios

Body

application/json

Response after creating a wallet.

teeSignature
string
required
passkeyId
string
required
authPayload
string
required
teePublicKey
string
default:ed25519:G1c6MTsy2Gh7h77jKRsku9jwfiotTaSHCCz4CAHkZ64t

Response

Successful Response

Response after creating a wallet.

accountId
string
required
nearTrxs
string[]
required
evmAddress
string | null
privyAddress
string | null